# Google shopping

{% hint style="success" %}
You first need to create an account, you can sign up [here](https://app.adyntel.com/signup) to receive 50 credits to test it out.
{% endhint %}

The Google endpoint allows you find all Google shopping ads for a given company. This is different then the [Google](/ad-libraries/google.md) endpoint as that reports on certain types of ads (search, image, video) ran on the Google platform while this returns strictly shopping ads.

It takes a company domain as input.

{% hint style="warning" %}
Company domain has to be passed in the 'company.com' format, meaning all prefixes like 'https\://' or '[www](http://www).' need to be removed.
{% endhint %}

##

## API endpoint

<mark style="color:green;">`POST`</mark> `api.adyntel.com/google_shopping`

*See what Google shopping ads a company is running by providing their website as input.*

### Headers <a href="#headers" id="headers"></a>

<table><thead><tr><th>Name</th><th>Value</th><th data-type="checkbox">Required</th></tr></thead><tbody><tr><td>Content-Type</td><td><code>application/json</code></td><td>true</td></tr></tbody></table>

### &#x20;<a href="#undefined" id="undefined"></a>

### Body <a href="#body" id="body"></a>

<table><thead><tr><th width="226">Name</th><th>Type</th><th>Description</th><th data-type="checkbox">Required</th></tr></thead><tbody><tr><td><code>api_key</code></td><td>string</td><td>Adyntel API key</td><td>true</td></tr><tr><td><code>email</code></td><td>number</td><td>Adyntel account email</td><td>true</td></tr><tr><td><code>company_domain</code></td><td>string</td><td>Company website</td><td>true</td></tr></tbody></table>

### Example request

Request using company domain

```
{
    "api_key": "hd-nndgi7gy6b3kdsgd-a",
    "email": "elon@tesla.com",
    "company_domain": "tesla.com"
}
```

### Example response

The response will contain only an id that you then have to use in the Google shopping status endpoint.

```
{
"id": "12172142-7717-0066-0000-f1e50ca3d579"
}
```


---

# Agent Instructions: Querying This Documentation

If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter:

```
GET https://docs.adyntel.com/ad-libraries/google-shopping.md?ask=<question>
```

The question should be specific, self-contained, and written in natural language.
The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
